unit JsQRLabel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  QuickRpt, QRCtrls;

type
  TJsQRLabel = class(TQRLabel)
  private
    FSpacing: Integer;
    procedure SetSpacing(const Value: Integer);
    { Private declarations }
  protected
    { Protected declarations }
    procedure Print(OfsX, OfsY : integer); override;
    procedure Paint; override;
  public
    { Public declarations }
    constructor Create(AOwner : TComponent); override;
  published
    { Published declarations }
    property _Spacing : Integer read FSpacing write SetSpacing default 0;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('jieshu', [TJsQRLabel]);
end;

{ TJsQRLabel }

constructor TJsQRLabel.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);

  FSpacing := 0;
end;

procedure TJsQRLabel.Paint;
begin
  if FSpacing <> 0 then
    SetTextCharacterExtra(Canvas.Handle , FSpacing); // ]wrZ

  inherited;

  if FSpacing <> 0 then
    SetTextCharacterExtra(Canvas.Handle , 0); // ^_`
end;

procedure TJsQRLabel.Print(OfsX, OfsY: integer);
begin
  if FSpacing <> 0 then
    SetTextCharacterExtra(QRPrinter.Canvas.Handle , FSpacing); // ]wrZ

  inherited Print(OfsX, OfsY);

  if FSpacing <> 0 then
    SetTextCharacterExtra(QRPrinter.Canvas.Handle , 0); // ^_`
end;

procedure TJsQRLabel.SetSpacing(const Value: Integer);
begin
  FSpacing := Value;
  Paint;
end;

end.
